library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.Numeric_Std.all;

entity ram is
  port (
    clk25   : in  std_logic;
    we      : in  std_logic;
    wr_addr : in  unsigned (11 downto 0);
    rd_addr : in  unsigned (11 downto 0);
    dat_w   : in  std_logic_vector (7 downto 0);
    char    : out std_logic_vector (7 downto 0)
  );
end entity ram;

architecture RTL of ram is

type ram_type is array (0 to 2399) of std_logic_vector(7 downto 0);
signal ram : ram_type :=(
 x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", 
  x"2d", x"0d", x"0a", x"61", x"72", x"63", x"68", x"69", x"0d", x"0a", 
  x"20", x"20", x"74", x"65", x"63", x"74", x"75", x"72", x"65", x"20", 
  x"62", x"65", x"0d", x"0a", x"20", x"20", x"68", x"61", x"76", x"65", 
  x"20", x"6f", x"66", x"20", x"61", x"63", x"0d", x"0a", x"20", x"20", 
  x"63", x"75", x"6d", x"75", x"6c", x"61", x"74", x"6f", x"72", x"20", 
  x"0d", x"0a", x"20", x"20", x"69", x"73", x"0d", x"0a", x"0d", x"0a", 
  x"73", x"69", x"67", x"6e", x"0d", x"0a", x"20", x"20", x"61", x"6c", 
  x"20", x"76", x"61", x"6c", x"75", x"65", x"5f", x"69", x"0d", x"0a", 
  x"20", x"20", x"20", x"20", x"20", x"3a", x"20", x"69", x"6e", x"74", 
  x"65", x"67", x"0d", x"0a", x"20", x"20", x"65", x"72", x"20", x"72", 
  x"61", x"6e", x"67", x"65", x"20", x"30", x"0d", x"0a", x"20", x"20", 
  x"20", x"74", x"6f", x"20", x"31", x"35", x"3b", x"0d", x"0a", x"73", 
  x"0d", x"0a", x"20", x"20", x"69", x"67", x"6e", x"61", x"6c", x"20", 
  x"76", x"61", x"6c", x"75", x"0d", x"0a", x"20", x"20", x"65", x"5f", 
  x"75", x"20", x"20", x"20", x"3a", x"20", x"75", x"6e", x"0d", x"0a", 
  x"20", x"20", x"73", x"69", x"67", x"6e", x"65", x"64", x"28", x"33", 
  x"20", x"64", x"0d", x"0a", x"20", x"20", x"6f", x"77", x"6e", x"74", 
  x"6f", x"20", x"30", x"29", x"3b", x"0d", x"0d", x"0a", x"20", x"20", 
  x"0a", x"73", x"69", x"67", x"6e", x"61", x"6c", x"20", x"76", x"61", 
  x"0d", x"0a", x"20", x"20", x"6c", x"75", x"65", x"5f", x"73", x"6c", 
  x"76", x"20", x"3a", x"20", x"0d", x"0a", x"20", x"20", x"73", x"74", 
  x"64", x"5f", x"6c", x"6f", x"67", x"69", x"63", x"5f", x"0d", x"0a", 
  x"20", x"20", x"76", x"65", x"63", x"74", x"6f", x"72", x"28", x"33", 
  x"20", x"64", x"0d", x"0a", x"20", x"20", x"6f", x"77", x"6e", x"74", 
  x"6f", x"20", x"30", x"29", x"3b", x"0d", x"0d", x"0a", x"20", x"20", 
  x"0a", x"0d", x"0a", x"62", x"65", x"67", x"69", x"6e", x"0d", x"0a", 
  x"0d", x"0a", x"20", x"20", x"0d", x"0a", x"70", x"72", x"6f", x"63", 
  x"65", x"73", x"73", x"0d", x"0d", x"0a", x"20", x"20", x"0a", x"62", 
  x"65", x"67", x"69", x"6e", x"0d", x"0a", x"76", x"61", x"0d", x"0a", 
  x"20", x"20", x"6c", x"75", x"65", x"5f", x"69", x"20", x"20", x"20", 
  x"3c", x"3d", x"0d", x"0a", x"20", x"20", x"20", x"31", x"34", x"3b", 
  x"0d", x"0a", x"76", x"61", x"6c", x"75", x"0d", x"0a", x"20", x"20", 
  x"65", x"5f", x"75", x"20", x"20", x"20", x"3c", x"3d", x"20", x"74", 
  x"0d", x"0a", x"20", x"20", x"6f", x"5f", x"75", x"6e", x"73", x"69", 
  x"67", x"6e", x"65", x"64", x"0d", x"0a", x"20", x"20", x"28", x"76", 
  x"61", x"6c", x"75", x"65", x"5f", x"69", x"2c", x"20", x"0d", x"0a", 
  x"20", x"20", x"76", x"61", x"6c", x"75", x"65", x"5f", x"75", x"27", 
  x"6c", x"65", x"0d", x"0a", x"20", x"20", x"6e", x"67", x"74", x"68", 
  x"29", x"3b", x"20", x"2d", x"2d", x"20", x"0d", x"0a", x"20", x"20", 
  x"54", x"79", x"70", x"75", x"6d", x"77", x"61", x"6e", x"64", x"6c", 
  x"0d", x"0a", x"20", x"20", x"75", x"6e", x"67", x"0d", x"0a", x"76", 
  x"61", x"6c", x"75", x"65", x"0d", x"0a", x"20", x"20", x"5f", x"73", 
  x"6c", x"76", x"20", x"3c", x"3d", x"20", x"73", x"74", x"0d", x"0a", 
  x"20", x"20", x"64", x"5f", x"6c", x"6f", x"67", x"69", x"63", x"5f", 
  x"76", x"65", x"0d", x"0a", x"20", x"20", x"63", x"74", x"6f", x"72", 
  x"28", x"76", x"61", x"6c", x"75", x"65", x"0d", x"0a", x"20", x"20", 
  x"5f", x"75", x"29", x"3b", x"20", x"20", x"20", x"20", x"20", x"20", 
  x"0d", x"0a", x"20", x"20", x"20", x"20", x"20", x"20", x"20", x"20", 
  x"2d", x"2d", x"20", x"63", x"0d", x"0a", x"20", x"20", x"61", x"73", 
  x"74", x"20", x"28", x"54", x"79", x"70", x"65", x"6e", x"0d", x"0a", 
  x"20", x"20", x"20", x"73", x"69", x"6e", x"64", x"20", x"65", x"6e", 
  x"67", x"20", x"0d", x"0a", x"20", x"20", x"76", x"65", x"72", x"77", 
  x"61", x"6e", x"64", x"74", x"29", x"0d", x"0d", x"0a", x"20", x"20", 
  x"0a", x"2e", x"2e", x"2e", x"2e", x"2e", x"2e", x"0d", x"0a", x"2d", 
  x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", 
  x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"0d", x"0a", x"6e", x"3a", 
  x"0d", x"0a", x"20", x"20", x"20", x"70", x"72", x"6f", x"63", x"65", 
  x"73", x"73", x"28", x"61", x"0d", x"0a", x"20", x"20", x"2c", x"62", 
  x"29", x"0d", x"0a", x"76", x"61", x"72", x"69", x"61", x"0d", x"0a", 
  x"20", x"20", x"62", x"6c", x"65", x"20", x"61", x"62", x"20", x"3a", 
  x"20", x"73", x"0d", x"0a", x"20", x"20", x"74", x"64", x"5f", x"6c", 
  x"6f", x"67", x"69", x"63", x"5f", x"76", x"0d", x"0a", x"20", x"20", 
  x"65", x"63", x"74", x"6f", x"72", x"28", x"31", x"20", x"64", x"6f", 
  x"0d", x"0a", x"20", x"20", x"77", x"6e", x"74", x"6f", x"20", x"30", 
  x"29", x"3b", x"0d", x"0a", x"0d", x"0a", x"20", x"20", x"62", x"65", 
  x"67", x"69", x"6e", x"0d", x"0a", x"20", x"20", x"61", x"0d", x"0a", 
  x"20", x"20", x"62", x"28", x"30", x"29", x"20", x"3a", x"3d", x"20", 
  x"61", x"3b", x"0d", x"0a", x"20", x"20", x"0d", x"0a", x"20", x"20", 
  x"61", x"62", x"28", x"31", x"29", x"20", x"0d", x"0a", x"20", x"20", 
  x"3a", x"3d", x"20", x"62", x"3b", x"0d", x"0a", x"20", x"20", x"63", 
  x"0d", x"0a", x"20", x"20", x"61", x"73", x"65", x"20", x"61", x"62", 
  x"20", x"69", x"73", x"0d", x"0d", x"0a", x"20", x"20", x"0a", x"20", 
  x"20", x"20", x"20", x"77", x"68", x"65", x"6e", x"20", x"0d", x"0a", 
  x"20", x"20", x"22", x"30", x"30", x"22", x"20", x"3d", x"3e", x"20", 
  x"78", x"20", x"0d", x"0a", x"20", x"20", x"3c", x"3d", x"20", x"27", 
  x"30", x"27", x"3b", x"0d", x"0a", x"20", x"0d", x"0a", x"20", x"20", 
  x"20", x"20", x"20", x"77", x"68", x"65", x"6e", x"20", x"22", x"30", 
  x"0d", x"0a", x"20", x"20", x"31", x"22", x"20", x"3d", x"3e", x"20", 
  x"78", x"20", x"3c", x"3d", x"0d", x"0a", x"20", x"20", x"20", x"27", 
  x"30", x"27", x"3b", x"0d", x"0a", x"20", x"20", x"20", x"0d", x"0a", 
  x"20", x"20", x"20", x"77", x"68", x"65", x"6e", x"20", x"22", x"31", 
  x"30", x"22", x"0d", x"0a", x"20", x"20", x"20", x"3d", x"3e", x"20", 
  x"78", x"20", x"3c", x"3d", x"20", x"27", x"0d", x"0a", x"20", x"20", 
  x"30", x"27", x"3b", x"0d", x"0a", x"20", x"20", x"20", x"20", x"77", 
  x"0d", x"0a", x"20", x"20", x"68", x"65", x"6e", x"20", x"22", x"31", 
  x"31", x"22", x"20", x"3d", x"0d", x"0a", x"20", x"20", x"3e", x"20", 
  x"78", x"20", x"3c", x"3d", x"20", x"27", x"31", x"27", x"0d", x"0a", 
  x"20", x"20", x"3b", x"0d", x"0a", x"20", x"20", x"20", x"20", x"77", 
  x"68", x"65", x"0d", x"0a", x"20", x"20", x"6e", x"20", x"6f", x"74", 
  x"68", x"65", x"72", x"73", x"20", x"3d", x"0d", x"0a", x"20", x"20", 
  x"3e", x"20", x"6e", x"75", x"6c", x"6c", x"3b", x"0d", x"0a", x"20", 
  x"0d", x"0a", x"20", x"20", x"20", x"65", x"6e", x"64", x"20", x"63", 
  x"61", x"73", x"65", x"3b", x"0d", x"0a", x"20", x"20", x"0d", x"0a", 
  x"65", x"6e", x"64", x"3b", x"0d", x"0a", x"0d", x"0a", x"0d", x"0a", 
  x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"0d", x"0a", x"0d", x"0a", 
  x"20", x"20", x"74", x"79", x"70", x"65", x"20", x"73", x"70", x"65", 
  x"69", x"63", x"0d", x"0a", x"20", x"20", x"68", x"65", x"72", x"20", 
  x"69", x"73", x"20", x"61", x"72", x"72", x"0d", x"0a", x"20", x"20", 
  x"61", x"79", x"20", x"28", x"30", x"20", x"74", x"6f", x"20", x"31", 
  x"0d", x"0a", x"20", x"20", x"30", x"32", x"33", x"29", x"20", x"6f", 
  x"66", x"20", x"69", x"6e", x"0d", x"0a", x"20", x"20", x"74", x"65", 
  x"67", x"65", x"72", x"20", x"72", x"61", x"6e", x"67", x"0d", x"0a", 
  x"20", x"20", x"65", x"20", x"30", x"20", x"74", x"6f", x"20", x"32", 
  x"35", x"35", x"0d", x"0a", x"20", x"20", x"3b", x"0d", x"0a", x"73", 
  x"69", x"67", x"6e", x"61", x"6c", x"20", x"0d", x"0a", x"20", x"20", 
  x"73", x"72", x"61", x"6d", x"20", x"3a", x"20", x"73", x"70", x"65", 
  x"0d", x"0a", x"20", x"20", x"69", x"63", x"68", x"65", x"72", x"3b", 
  x"0d", x"0a", x"0d", x"0a", x"0d", x"0a", x"20", x"20", x"74", x"79", 
  x"70", x"65", x"20", x"6d", x"65", x"6d", x"38", x"20", x"0d", x"0a", 
  x"20", x"20", x"69", x"73", x"20", x"61", x"72", x"72", x"61", x"79", 
  x"20", x"28", x"0d", x"0a", x"20", x"20", x"6e", x"61", x"74", x"75", 
  x"72", x"61", x"6c", x"20", x"72", x"61", x"0d", x"0a", x"20", x"20", 
  x"6e", x"67", x"65", x"20", x"3c", x"3e", x"29", x"20", x"6f", x"66", 
  x"0d", x"0a", x"20", x"20", x"20", x"73", x"74", x"64", x"5f", x"6c", 
  x"6f", x"67", x"69", x"63", x"0d", x"0a", x"20", x"20", x"5f", x"76", 
  x"65", x"63", x"74", x"6f", x"72", x"28", x"37", x"20", x"0d", x"0a", 
  x"20", x"20", x"64", x"6f", x"77", x"6e", x"74", x"6f", x"20", x"30", 
  x"29", x"3b", x"0d", x"0a", x"20", x"20", x"0d", x"0a", x"73", x"69", 
  x"67", x"6e", x"61", x"6c", x"20", x"73", x"0d", x"0a", x"20", x"20", 
  x"72", x"61", x"6d", x"38", x"5f", x"31", x"30", x"32", x"34", x"20", 
  x"0d", x"0a", x"20", x"20", x"3a", x"20", x"6d", x"65", x"6d", x"38", 
  x"28", x"31", x"30", x"32", x"0d", x"0a", x"20", x"20", x"33", x"20", 
  x"64", x"6f", x"77", x"6e", x"74", x"6f", x"20", x"30", x"0d", x"0a", 
  x"20", x"20", x"29", x"3b", x"0d", x"0a", x"73", x"69", x"67", x"6e", 
  x"61", x"6c", x"0d", x"0a", x"20", x"20", x"20", x"73", x"72", x"61", 
  x"6d", x"38", x"5f", x"38", x"20", x"20", x"0d", x"0a", x"20", x"20", 
  x"3a", x"20", x"6d", x"65", x"6d", x"38", x"28", x"37", x"20", x"64", 
  x"0d", x"0a", x"20", x"20", x"6f", x"77", x"6e", x"74", x"6f", x"20", 
  x"30", x"29", x"3b", x"0d", x"0d", x"0a", x"20", x"20", x"0a", x"0d", 
  x"0a", x"5a", x"75", x"67", x"72", x"69", x"66", x"66", x"0d", x"0a", 
  x"20", x"20", x"2f", x"49", x"6e", x"69", x"74", x"69", x"61", x"6c", 
  x"69", x"73", x"0d", x"0a", x"20", x"20", x"69", x"65", x"72", x"75", 
  x"6e", x"67", x"3a", x"0d", x"0a", x"0d", x"0d", x"0a", x"20", x"20", 
  x"0a", x"2d", x"2d", x"20", x"62", x"65", x"69", x"64", x"65", x"20", 
  x"0d", x"0a", x"20", x"20", x"67", x"6c", x"65", x"69", x"63", x"68", 
  x"77", x"65", x"72", x"74", x"0d", x"0a", x"20", x"20", x"69", x"67", 
  x"2c", x"20", x"45", x"6c", x"65", x"6d", x"65", x"6e", x"0d", x"0a", 
  x"20", x"20", x"74", x"65", x"20", x"31", x"20", x"75", x"6e", x"64", 
  x"20", x"32", x"0d", x"0a", x"20", x"20", x"20", x"77", x"65", x"72", 
  x"64", x"65", x"6e", x"20", x"6d", x"69", x"0d", x"0a", x"20", x"20", 
  x"74", x"20", x"22", x"35", x"22", x"20", x"62", x"65", x"67", x"6c", 
  x"0d", x"0a", x"20", x"20", x"c3", x"bc", x"63", x"6b", x"74", x"0d", 
  x"0a", x"73", x"72", x"61", x"0d", x"0a", x"20", x"20", x"6d", x"38", 
  x"5f", x"38", x"20", x"3c", x"3d", x"20", x"28", x"22", x"0d", x"0a", 
  x"20", x"20", x"30", x"22", x"2c", x"20", x"22", x"30", x"22", x"2c", 
  x"20", x"22", x"0d", x"0a", x"20", x"20", x"30", x"22", x"2c", x"20", 
  x"22", x"30", x"22", x"2c", x"20", x"22", x"0d", x"0a", x"20", x"20", 
  x"30", x"22", x"2c", x"20", x"22", x"35", x"22", x"2c", x"20", x"22", 
  x"0d", x"0a", x"20", x"20", x"35", x"22", x"2c", x"20", x"22", x"30", 
  x"22", x"20", x"29", x"3b", x"0d", x"0a", x"20", x"20", x"0d", x"0a", 
  x"73", x"72", x"61", x"6d", x"38", x"5f", x"38", x"20", x"0d", x"0a", 
  x"20", x"20", x"3c", x"3d", x"20", x"28", x"20", x"32", x"20", x"7c", 
  x"20", x"31", x"0d", x"0a", x"20", x"20", x"20", x"3d", x"3e", x"20", 
  x"22", x"35", x"22", x"2c", x"20", x"6f", x"0d", x"0a", x"20", x"20", 
  x"74", x"68", x"65", x"72", x"73", x"20", x"3d", x"3e", x"20", x"22", 
  x"0d", x"0a", x"20", x"20", x"30", x"22", x"29", x"3b", x"0d", x"0a", 
  x"0d", x"0a", x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"20", x"6f", 
  x"64", x"65", x"72", x"20", x"65", x"69", x"6e", x"7a", x"0d", x"0a", 
  x"20", x"20", x"65", x"6c", x"6e", x"65", x"73", x"20", x"45", x"6c", 
  x"65", x"6d", x"0d", x"0a", x"20", x"20", x"65", x"6e", x"74", x"20", 
  x"6d", x"69", x"74", x"20", x"30", x"78", x"0d", x"0a", x"20", x"20", 
  x"42", x"20", x"66", x"c3", x"bc", x"6c", x"6c", x"65", x"6e", x"0d", 
  x"0d", x"0a", x"20", x"20", x"0a", x"73", x"72", x"61", x"6d", x"38", 
  x"5f", x"38", x"28", x"32", x"0d", x"0a", x"20", x"20", x"29", x"20", 
  x"3c", x"3d", x"20", x"78", x"22", x"42", x"22", x"0d", x"0d", x"0a", 
  x"20", x"20", x"0a", x"0d", x"0a", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", 
  x"20", x"20", x"0d", x"0a", x"0d", x"0a", x"68", x"65", x"78", x"5f", 
  x"76", x"61", x"0d", x"0a", x"20", x"20", x"72", x"20", x"3a", x"3d", 
  x"20", x"31", x"36", x"23", x"38", x"30", x"0d", x"0a", x"20", x"20", 
  x"30", x"31", x"23", x"3b", x"0d", x"0a", x"0d", x"0a", x"62", x"69", 
  x"0d", x"0a", x"20", x"20", x"6e", x"61", x"72", x"79", x"5f", x"73", 
  x"20", x"3c", x"3d", x"20", x"0d", x"0a", x"20", x"20", x"62", x"22", 
  x"30", x"30", x"30", x"5f", x"31", x"31", x"31", x"5f", x"0d", x"0a", 
  x"20", x"20", x"30", x"31", x"30", x"22", x"3b", x"0d", x"0a", x"68", 
  x"65", x"78", x"0d", x"0a", x"20", x"20", x"5f", x"73", x"20", x"20", 
  x"20", x"20", x"3c", x"3d", x"20", x"78", x"0d", x"0a", x"20", x"20", 
  x"22", x"30", x"31", x"5f", x"46", x"42", x"22", x"3b", x"0d", x"0a", 
  x"0d", x"0a", x"20", x"20", x"0d", x"0a", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", 
  x"20", x"20", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"0d", x"0a", x"20", x"20", x"2d", x"2d", x"2d", x"2d", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", x"0a", x"20", x"20", 
  x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"2d", x"0d", 
  x"0d", x"0a", x"20", x"20", x"0a", x"0d", x"0a", x"46", x"61", x"6c", 
  x"6c", x"73", x"20", x"64", x"0d", x"0a", x"20", x"20", x"75", x"72", 
  x"63", x"68", x"20", x"64", x"69", x"65", x"20", x"53", x"0d", x"0a", 
  x"20", x"20", x"79", x"6e", x"74", x"61", x"78", x"20", x"65", x"69", 
  x"6e", x"20", x"0d", x"0a", x"20", x"20", x"53", x"74", x"61", x"74", 
  x"65", x"6d", x"65", x"6e", x"74", x"20", x"0d", x"0a", x"20", x"20", 
  x"65", x"72", x"66", x"6f", x"72", x"64", x"65", x"72", x"6c", x"69", 
  x"0d", x"0a", x"20", x"20", x"63", x"68", x"20", x"69", x"73", x"74", 
  x"2c", x"20", x"6b", x"61", x"0d", x"0a", x"20", x"20", x"6e", x"6e", 
  x"20", x"64", x"61", x"73", x"0d", x"0a", x"22", x"4e", x"0d", x"0a", 
  x"20", x"20", x"75", x"6c", x"6c", x"22", x"2d", x"53", x"74", x"61", 
  x"74", x"65", x"0d", x"0a", x"20", x"20", x"6d", x"65", x"6e", x"74", 
  x"20", x"76", x"65", x"72", x"77", x"65", x"0d", x"0a", x"20", x"20", 
  x"6e", x"64", x"65", x"74", x"20", x"77", x"65", x"72", x"64", x"65", 
  x"0d", x"0a", x"20", x"20", x"6e", x"2c", x"20", x"75", x"6d", x"20", 
  x"61", x"6e", x"7a", x"75", x"0d", x"0a", x"20", x"20", x"7a", x"65", 
  x"69", x"67", x"65", x"6e", x"2c", x"20", x"64", x"61", x"0d", x"0a", 
  x"20", x"20", x"73", x"73", x"20", x"6e", x"69", x"63", x"68", x"74", 
  x"73", x"20", x"0d", x"0a", x"20", x"20", x"7a", x"75", x"20", x"74", 
  x"75", x"6e", x"20", x"69", x"73", x"74", x"0d", x"0a", x"20", x"20", 
  x"2e", x"0d", x"0a", x"0d", x"0a", x"70", x"72", x"6f", x"63", x"3a", 
  x"0d", x"0a", x"20", x"20", x"20", x"70", x"72", x"6f", x"63", x"65", 
  x"73", x"73", x"28", x"63", x"0d", x"0a", x"20", x"20", x"6c", x"6b", 
  x"29", x"0d", x"0a", x"62", x"65", x"67", x"69", x"6e", x"0d", x"0a", 
  x"20", x"20", x"0d", x"0a", x"20", x"20", x"69", x"66", x"20", x"72", 
  x"69", x"73", x"0d", x"0a", x"20", x"20", x"69", x"6e", x"67", x"5f", 
  x"65", x"64", x"67", x"65", x"28", x"63", x"0d", x"0a", x"20", x"20", 
  x"6c", x"6b", x"29", x"20", x"74", x"68", x"65", x"6e", x"0d", x"0a", 
  x"0d", x"0a", x"20", x"20", x"20", x"20", x"20", x"20", x"63", x"61", 
  x"73", x"65", x"20", x"73", x"0d", x"0a", x"20", x"20", x"65", x"6c", 
  x"65", x"63", x"74", x"20", x"69", x"73", x"0d", x"0a", x"0d", x"0a", 
  x"20", x"20", x"20", x"20", x"20", x"20", x"20", x"20", x"77", x"68", 
  x"65", x"6e", x"0d", x"0a", x"20", x"20", x"20", x"22", x"30", x"30" );

begin

process(clk25)
begin
  if rising_edge(clk25) then
    if we = '1' then
      ram((to_integer(wr_addr))) <= dat_w;   
    else   
      char <= ram((to_integer(rd_addr))); 
    end if; 
  end if;    
end process;
end architecture RTL;